﻿namespace NuGetMvcDemo.Models
{
    using System.ComponentModel.DataAnnotations;
    using MVCDemo.Attributes.Validation;

    public class TestModel
    {
        [Required]
        [DataType(DataType.MultilineText)]
        [BlockHtml (ErrorMessage="Html is not allowed.")]
        [StringLengthRange(2,20)]
        public string TextBlock { get; set; }

        [Equal(true, ErrorMessage="Please check this checkbox.")]
        public bool BooleanValue { get; set; }        
    }
}